Skip to main content
POST
/
v1
/
agent-tools
Criar uma nova tool do agente
curl --request POST \
  --url https://api.nuvia.ai/v1/agent-tools \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "action": "<string>",
  "additional_attributes": {}
}
'
{
  "_id": {},
  "title": "<string>",
  "action": "<string>",
  "company": {
    "_id": {},
    "name": "<string>",
    "channels": [],
    "agent_flows": [
      {
        "_id": {},
        "name": "<string>",
        "url": "<string>",
        "specialist_url": "<string>"
      }
    ],
    "description": "<string>",
    "general_config": {}
  },
  "additional_attributes": {}
}

Authorizations

Authorization
string
header
required

Token JWT de autenticação

Headers

x-company-id
string

Identificador da empresa-alvo. Obrigatório apenas para API Keys globais (type=global). Ignorado para API Keys de empresa e usuários humanos.

Body

application/json
title
string
required

Título da tool do agente

Minimum string length: 1
type
enum<string>
required

Tipo da tool

Available options:
step,
field,
user,
agent,
integration,
knowledge_base,
media,
team,
general,
customhttp,
mcp,
table_use_case
action
string

Ação da tool do agente (gerado automaticamente se não for fornecido)

integration
enum<string>

Integração da tool do agente

Available options:
whatsapp-evolution,
whatsapp,
google-calendar,
zapsign,
advbox,
amigo,
hubspot,
rd-station,
linkedin-unipile
additional_attributes
object

Atributos adicionais da tool

Response

Tool do agente criada com sucesso

_id
object
required
title
string
required
action
string
required
type
enum<string>
required
Available options:
step,
field,
user,
agent,
integration,
knowledge_base,
media,
team,
general,
customhttp,
mcp,
table_use_case
company
object
required
additional_attributes
object
required
integration
enum<string>
Available options:
whatsapp-evolution,
whatsapp,
google-calendar,
zapsign,
advbox,
amigo,
hubspot,
rd-station,
linkedin-unipile